Skip to main content
PATCH
/
api
/
v2
/
accounts
/
{id}
Update Account
curl --request PATCH \
  --url https://sandbox.killb.app/api/v2/accounts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "PSE",
  "data": {
    "accountNumber": "1234567890",
    "bankCode": "001",
    "type": "savings",
    "document": {
      "type": "NIT",
      "number": "123456",
      "issuedCountryCode": "CO"
    }
  }
}
'
{
  "id": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "userId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "type": "PSE",
  "status": "ACTIVE",
  "data": {
    "document": {
      "type": "NIT",
      "number": "123456",
      "issuedCountryCode": "CO"
    },
    "accountNumber": "10203049",
    "bankCode": "001",
    "type": "checking",
    "countryCode": "CO",
    "firstName": "John",
    "middleName": "Carlos",
    "lastName": "Doe",
    "companyName": "Acme Corp",
    "email": "[email protected]",
    "phone": "+576015555555"
  },
  "externalId": "my-external-ref-001",
  "createdAt": "2026-04-23T00:38:08.439Z",
  "updatedAt": "2026-04-23T00:38:08.439Z"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

Body

application/json
type
string
required
Example:

"PSE"

data
PSE · object
required

Response

id
string
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

userId
string
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

type
string
required
Example:

"PSE"

status
string
required
Example:

"ACTIVE"

data
PSE · object
required
externalId
string
required

A unique identifier used to identify your existing user.

Example:

"my-external-ref-001"

createdAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"

updatedAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"